Bug 845819 - Review Request: rubygem-ruby-rc4 - Pure Ruby implementation of the RC4 algorithm
Summary: Review Request: rubygem-ruby-rc4 - Pure Ruby implementation of the RC4 algorithm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-05 10:59 UTC by Miroslav Suchý
Modified: 2012-09-17 23:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-15 13:41:58 UTC
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2012-08-05 10:59:44 UTC
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-ruby-rc4/rubygem-ruby-rc4.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-ruby-rc4/rubygem-ruby-rc4-0.1.5-1.fc17.src.rpm
Description: RC4 is a pure Ruby implementation of the RC4 algorithm.
Fedora Account System Username: msuchy

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4360245

rpmlint output:
rubygem-ruby-rc4.noarch: W: unexpanded-macro /usr/share/gems/doc/ruby-rc4-0.1.5/ri/RC4/encrypt%21-i.ri %21

Comment 2 Vít Ondruch 2012-08-15 10:13:11 UTC
I'll review this package.

Comment 3 Vít Ondruch 2012-08-15 10:45:48 UTC
* Keep the Readme and License in the original location
  - I.e. refer to them as a %{gem_instdir}/LICENSE and %{gem_instdir}/README.md
    in the %files section and remove the "rm"

* Test suite
  - Please consider running the test suite in the .%{gem_instdir}, which is
    convenient place to do so. The test folder in %{_builddir} is just remaining
    of gem repackaging.

* Exclude %{gem_cache}
  - As always ... ;)

* Use %{_bindir}/rspec
  - This could be used in place of BUildRequires: rubygem-rspec


Nevertheless, non of these nits is blocker => APPROVED

Comment 4 Miroslav Suchý 2012-08-15 11:55:31 UTC
New Package SCM Request
=======================
Package Name: rubygem-ruby-rc4
Short Description: Pure Ruby implementation of the RC4 algorithm
Owners: msuchy
Branches: F-18, F-17, F-16, EL-6
InitialCC:

Comment 5 Gwyn Ciesla 2012-08-15 12:14:08 UTC
Git done (by process-git-requests).

Comment 6 Miroslav Suchý 2012-08-15 12:35:16 UTC
> Please consider running the test suite in the .%{gem_instdir},

I will address this in released package.

Comment 7 Fedora Update System 2012-08-15 13:16:00 UTC
rubygem-ruby-rc4-0.1.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-ruby-rc4-0.1.5-3.fc17

Comment 8 Fedora Update System 2012-08-15 13:17:26 UTC
rubygem-ruby-rc4-0.1.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-ruby-rc4-0.1.5-3.fc18

Comment 9 Fedora Update System 2012-08-15 13:40:22 UTC
rubygem-ruby-rc4-0.1.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-ruby-rc4-0.1.5-4.el6

Comment 10 Fedora Update System 2012-08-15 13:41:14 UTC
rubygem-ruby-rc4-0.1.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-ruby-rc4-0.1.5-4.fc16

Comment 11 Fedora Update System 2012-08-23 23:26:17 UTC
rubygem-ruby-rc4-0.1.5-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-08-23 23:30:52 UTC
rubygem-ruby-rc4-0.1.5-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2012-08-31 18:33:51 UTC
rubygem-ruby-rc4-0.1.5-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2012-09-17 23:29:49 UTC
rubygem-ruby-rc4-0.1.5-3.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.